/*
 * Class TABLE [INTEGER_32, G#2]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_852 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_852 [] = {0xFF01,237,851,206,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_2_852 [] = {0xFF01,851,206,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_3_852 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_852 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_852 [] = {0xFF01,851,206,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_6_852 [] = {0xFF01,851,206,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_7_852 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_852 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_852 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_852 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_852 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_852 [] = {851,206,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_13_852 [] = {0xFF01,851,206,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_14_852 [] = {0xFF01,288,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_852 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_852 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_852 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_852 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_852[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_852), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_852), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_852), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_852), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_852), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_852), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_852), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_852), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_852), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_852), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_852), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_852), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_852), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_852), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1850, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1851, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1852, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1853, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1854, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_852), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_852), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1923, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1983, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1924, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1925, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_852), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_852), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_852), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init852(void)
{
	IDSC(desc_852, 0, 851);
	IDSC(desc_852 + 1, 1, 851);
	IDSC(desc_852 + 32, 77, 851);
	IDSC(desc_852 + 41, 282, 851);
	IDSC(desc_852 + 50, 187, 851);
	IDSC(desc_852 + 56, 229, 851);
}


#ifdef __cplusplus
}
#endif
